# Interface AxiosProgressEvent

interface AxiosProgressEvent {
bytes : number;
download ?: boolean;
estimated ?: number;
event ?: any;
lengthComputable : boolean;
loaded : number;
progress ?: number;
rate ?: number;
total ?: number;
upload ?: boolean;
}

- Defined in node_modules/axios/index.d.ts:288

##### Index

### Properties

bytes
download?
estimated?
event?
lengthComputable
loaded
progress?
rate?
total?
upload?

## Properties

### bytes

bytes: number

- Defined in node_modules/axios/index.d.ts:292

### `Optional` download

download?: boolean

- Defined in node_modules/axios/index.d.ts:296

### `Optional` estimated

estimated?: number

- Defined in node_modules/axios/index.d.ts:294

### `Optional` event

event?: any

- Defined in node_modules/axios/index.d.ts:297

### lengthComputable

lengthComputable: boolean

- Defined in node_modules/axios/index.d.ts:298

### loaded

loaded: number

- Defined in node_modules/axios/index.d.ts:289

### `Optional` progress

progress?: number

- Defined in node_modules/axios/index.d.ts:291

### `Optional` rate

rate?: number

- Defined in node_modules/axios/index.d.ts:293

### `Optional` total

total?: number

- Defined in node_modules/axios/index.d.ts:290

### `Optional` upload

upload?: boolean

- Defined in node_modules/axios/index.d.ts:295